Subject: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Manuel Giraud <[email-masked]>
Date: Sat, 11 Mar 2023 19:46:17 +0100

Daniel Martín <[email-masked]> writes:

[...]

>> For testing without recompiling Emacs, one could evaluate this:
>>
>> (setq find-ls-option-default-ls
>>   (cons "-ls" (if (or (eq system-type 'berkeley-unix)
>>                       (eq system-type 'darwin))
>>                   "-dgils"
>>                 "-dilsb")))
>>
>>
>> Daniel: I'd like to hear what it does on macOS.
>>
>
> I've tested your patch and it seems to work fine on macOS.  However,
> users can install GNU findutils on macOS, and in those systems the bug
> would still be present.

Thanks for those tests.

> Is there a more reliable way to discern between GNU find and other find
> implementations, without checking the system-type?

Maybe this can be the subject for another bug report?  Or you can
improve on this one?  WDYT?

Me, I think that we could apply as is to emacs-29.  FreeBSD and NetBSD
have not been tested on but at least we are in line with their find(1)
man page.  Is there any other 'berkeley-unix system?
-- 
Manuel Giraud